import QtQuick 2.12
import QtQuick.Window 2.12
import QtQuick.Controls 2.12
import QtQuick.Layouts 1.3
import TableModel 0.1

Grid {
    columns: 2
    columnSpacing: 5
    rowSpacing: 5
    clip: false
    function initData() {
        queueStr.text = available_printers_model.getSelectedQueueName();
        hostStr.text = available_printers_model.getSelectedServer();
        locationStr.text = available_printers_model.getSelectedLocation();
        driverStr.text = available_printers_model.getSelectedDriver();
        formatStr.text = available_printers_model.getSelectedFormat();
        colorStr.text = available_printers_model.getSelectedColor();
        duplexStr.text = available_printers_model.getSelectedDuplex();
        stapleStr.text = available_printers_model.getSelectedStaple();
        punchStr.text = available_printers_model.getSelectedPunch();
        bookletStr.text = available_printers_model.getSelectedBooklet();
        scannerStr.text = available_printers_model.getSelectedScanner();
        optsStr.text = available_printers_model.getSelectedOpts();
        commentStr.text = available_printers_model.getSelectedComment();
    }

    Label {
        id: queueTitle
        text: qsTr("Queue Name:")
        font.bold: true
    }
    Label {
        id: queueStr
        text: "n/a"
    }

    Label {
        id: hostTitle
        text: qsTr("Host:")
        font.bold: true
    }
    Label {
        id: hostStr
        text: "n/a"
    }

    Label {
        id: locationTitle
        text: qsTr("Location:")
        font.bold: true
    }
    Label {
        id: locationStr
        text: "n/a"
    }

    Label {
        id: driverTitle
        text: qsTr("Driver:")
        font.bold: true
    }
    Label {
        id: driverStr
        text: "n/a"
    }

    Label {
        id: formatTitle
        text: qsTr("Format:")
        font.bold: true
    }
    Label {
        id: formatStr
        text: "n/a"
    }

    Label {
        id: colorTitle
        text: qsTr("Color:")
        font.bold: true
    }
    Label {
        id: colorStr
        text: "n/a"
    }

    Label {
        id: duplexTitle
        text: qsTr("Duplex:")
        font.bold: true
    }
    Label {
        id: duplexStr
        text: "n/a"
    }

    Label {
        id: stapleTitle
        text: qsTr("Staple:")
        font.bold: true
    }
    Label {
        id: stapleStr
        text: "n/a"
    }

    Label {
        id: punchTitle
        text: qsTr("Punch:")
        font.bold: true
    }
    Label {
        id: punchStr
        text: "n/a"
    }

    Label {
        id: bookletTitle
        text: qsTr("Booklet:")
        font.bold: true
    }
    Label {
        id: bookletStr
        text: "n/a"
    }

    Label {
        id: scannerTitle
        text: qsTr("Scanner:")
        font.bold: true
    }
    Label {
        id: scannerStr
        text: "n/a"
    }

    Label {
        id: optsTitle
        text: qsTr("Cups Options:")
        font.bold: true
    }
    Label {
        id: optsStr
        text: "n/a"
    }

    Label {
        id: commentTitle
        text: qsTr("Comment:")
        font.bold: true
    }
    Label {
        id: commentStr
        text: "n/a"
    }
}
