#ifndef CUPSUTIL_H
#define CUPSUTIL_H

#include <string>

#include "printermodel.h"
class CupsUtility {
public:
    CupsUtility();

    /**
     * @brief Add a smb printer using lpadmin
     * @param printer Printer to add
     * @return True if added successfully, else false
     */
    bool addSmbPrinter(PrinterModel &printer);

    bool addSmbPrinter(PrinterModel &printer, std::string driver);

    std::string getCmd(PrinterModel &printer);

    std::string getCmd(PrinterModel &printer, std::string driver);

private:
    const std::string CMD = "lpadmin";
};

#endif // CUPSUTIL_H
